<?php
/**
 * OrderTest
 *
 * PHP version 5
 *
 * @category Class
 * @package  Ensi\OmsClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */

/**
 * OMS
 *
 * Управление заказами
 *
 * The version of the OpenAPI document: 1.0.0
 * Contact: mail@greensight.ru
 * Generated by: https://openapi-generator.tech
 * OpenAPI Generator version: 4.3.1
 */

/**
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Please update the test case below to test the model.
 */

namespace Ensi\OmsClient;

use PHPUnit\Framework\TestCase;

/**
 * OrderTest Class Doc Comment
 *
 * @category    Class
 * @description Order
 * @package     Ensi\OmsClient
 * @author      OpenAPI Generator team
 * @link        https://openapi-generator.tech
 */
class OrderTest extends TestCase
{

    /**
     * Setup before running any test case
     */
    public static function setUpBeforeClass()
    {
    }

    /**
     * Setup before running each test case
     */
    public function setUp()
    {
    }

    /**
     * Clean up after running each test case
     */
    public function tearDown()
    {
    }

    /**
     * Clean up after running all test cases
     */
    public static function tearDownAfterClass()
    {
    }

    /**
     * Test "Order"
     */
    public function testOrder()
    {
    }

    /**
     * Test attribute "id"
     */
    public function testPropertyId()
    {
    }

    /**
     * Test attribute "number"
     */
    public function testPropertyNumber()
    {
    }

    /**
     * Test attribute "customer_id"
     */
    public function testPropertyCustomerId()
    {
    }

    /**
     * Test attribute "customer_email"
     */
    public function testPropertyCustomerEmail()
    {
    }

    /**
     * Test attribute "cost"
     */
    public function testPropertyCost()
    {
    }

    /**
     * Test attribute "price"
     */
    public function testPropertyPrice()
    {
    }

    /**
     * Test attribute "spent_bonus"
     */
    public function testPropertySpentBonus()
    {
    }

    /**
     * Test attribute "added_bonus"
     */
    public function testPropertyAddedBonus()
    {
    }

    /**
     * Test attribute "promo_code"
     */
    public function testPropertyPromoCode()
    {
    }

    /**
     * Test attribute "status_at"
     */
    public function testPropertyStatusAt()
    {
    }

    /**
     * Test attribute "source"
     */
    public function testPropertySource()
    {
    }

    /**
     * Test attribute "payment_status"
     */
    public function testPropertyPaymentStatus()
    {
    }

    /**
     * Test attribute "payment_status_at"
     */
    public function testPropertyPaymentStatusAt()
    {
    }

    /**
     * Test attribute "payed_at"
     */
    public function testPropertyPayedAt()
    {
    }

    /**
     * Test attribute "payment_expires_at"
     */
    public function testPropertyPaymentExpiresAt()
    {
    }

    /**
     * Test attribute "payment_method"
     */
    public function testPropertyPaymentMethod()
    {
    }

    /**
     * Test attribute "payment_system"
     */
    public function testPropertyPaymentSystem()
    {
    }

    /**
     * Test attribute "payment_link"
     */
    public function testPropertyPaymentLink()
    {
    }

    /**
     * Test attribute "payment_external_id"
     */
    public function testPropertyPaymentExternalId()
    {
    }

    /**
     * Test attribute "is_problem_at"
     */
    public function testPropertyIsProblemAt()
    {
    }

    /**
     * Test attribute "is_expired"
     */
    public function testPropertyIsExpired()
    {
    }

    /**
     * Test attribute "is_expired_at"
     */
    public function testPropertyIsExpiredAt()
    {
    }

    /**
     * Test attribute "is_return"
     */
    public function testPropertyIsReturn()
    {
    }

    /**
     * Test attribute "is_return_at"
     */
    public function testPropertyIsReturnAt()
    {
    }

    /**
     * Test attribute "is_partial_return"
     */
    public function testPropertyIsPartialReturn()
    {
    }

    /**
     * Test attribute "is_partial_return_at"
     */
    public function testPropertyIsPartialReturnAt()
    {
    }

    /**
     * Test attribute "created_at"
     */
    public function testPropertyCreatedAt()
    {
    }

    /**
     * Test attribute "updated_at"
     */
    public function testPropertyUpdatedAt()
    {
    }

    /**
     * Test attribute "responsible_id"
     */
    public function testPropertyResponsibleId()
    {
    }

    /**
     * Test attribute "status"
     */
    public function testPropertyStatus()
    {
    }

    /**
     * Test attribute "client_comment"
     */
    public function testPropertyClientComment()
    {
    }

    /**
     * Test attribute "receiver_name"
     */
    public function testPropertyReceiverName()
    {
    }

    /**
     * Test attribute "receiver_phone"
     */
    public function testPropertyReceiverPhone()
    {
    }

    /**
     * Test attribute "receiver_email"
     */
    public function testPropertyReceiverEmail()
    {
    }

    /**
     * Test attribute "is_problem"
     */
    public function testPropertyIsProblem()
    {
    }

    /**
     * Test attribute "problem_comment"
     */
    public function testPropertyProblemComment()
    {
    }

    /**
     * Test attribute "delivery_service"
     */
    public function testPropertyDeliveryService()
    {
    }

    /**
     * Test attribute "delivery_method"
     */
    public function testPropertyDeliveryMethod()
    {
    }

    /**
     * Test attribute "delivery_cost"
     */
    public function testPropertyDeliveryCost()
    {
    }

    /**
     * Test attribute "delivery_price"
     */
    public function testPropertyDeliveryPrice()
    {
    }

    /**
     * Test attribute "delivery_tariff_id"
     */
    public function testPropertyDeliveryTariffId()
    {
    }

    /**
     * Test attribute "delivery_point_id"
     */
    public function testPropertyDeliveryPointId()
    {
    }

    /**
     * Test attribute "delivery_address"
     */
    public function testPropertyDeliveryAddress()
    {
    }

    /**
     * Test attribute "delivery_comment"
     */
    public function testPropertyDeliveryComment()
    {
    }

    /**
     * Test attribute "items"
     */
    public function testPropertyItems()
    {
    }

    /**
     * Test attribute "deliveries"
     */
    public function testPropertyDeliveries()
    {
    }

    /**
     * Test attribute "files"
     */
    public function testPropertyFiles()
    {
    }
}
